summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <william.hubbs@sony.com>2019-01-10 16:05:01 -0600
committerWilliam Hubbs <williamh@gentoo.org>2019-01-10 16:06:20 -0600
commitf9d7aa4ddb50ad0a34454a5d14646340731e2102 (patch)
tree572bc63aa0c11da0540a128f73db6a875489631e /app-metrics
parentmedia-gfx/geeqie: gtk3 is default in master branch (diff)
downloadgentoo-f9d7aa4ddb50ad0a34454a5d14646340731e2102.tar.gz
gentoo-f9d7aa4ddb50ad0a34454a5d14646340731e2102.tar.bz2
gentoo-f9d7aa4ddb50ad0a34454a5d14646340731e2102.zip
app-metrics/process-exporter: mine /proc to report process stats for prometheus
Copyright: Sony Interactive Entertainment Inc. Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: William Hubbs <williamh@gentoo.org>
Diffstat (limited to 'app-metrics')
-rw-r--r--app-metrics/process-exporter/Manifest1
-rw-r--r--app-metrics/process-exporter/files/process-exporter.initd8
-rw-r--r--app-metrics/process-exporter/metadata.xml8
-rw-r--r--app-metrics/process-exporter/process-exporter-0.4.0.ebuild32
4 files changed, 49 insertions, 0 deletions
diff --git a/app-metrics/process-exporter/Manifest b/app-metrics/process-exporter/Manifest
new file mode 100644
index 00000000000..8cdb45f2e46
--- /dev/null
+++ b/app-metrics/process-exporter/Manifest
@@ -0,0 +1 @@
+DIST process-exporter-0.4.0.tar.gz 378006 BLAKE2B 053379e8e0cb95f099cebf53289c48c39d6c8ef22c8b0dcf0bd128453e601da98be9205bb5c7cda8a05d5f50addabbcb46f6ece44926da17c1bd8616e452783a SHA512 88f6f0e07bb7f3ea6c593ba359c09ace47eb0830ff0759b1f4dd64219a6c9069dc2891a328a90bdef13ea02efc576fb71de7ff095788b4dd45c2683c90904363
diff --git a/app-metrics/process-exporter/files/process-exporter.initd b/app-metrics/process-exporter/files/process-exporter.initd
new file mode 100644
index 00000000000..d739825ecdf
--- /dev/null
+++ b/app-metrics/process-exporter/files/process-exporter.initd
@@ -0,0 +1,8 @@
+#!/sbin/openrc-run
+
+description="Process Exporter for Prometheus"
+command=/usr/bin/process-exporter
+command_args="--config.path /etc/process-exporter/all.yaml
+ --web.listen-address=:9256 ${COMMAND_ARGS}"
+command_background=yes
+pidfile=/var/run/process-exporter.pid
diff --git a/app-metrics/process-exporter/metadata.xml b/app-metrics/process-exporter/metadata.xml
new file mode 100644
index 00000000000..c36c37139fa
--- /dev/null
+++ b/app-metrics/process-exporter/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>williamh@gentoo.org</email>
+ <name>William Hubbs</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/app-metrics/process-exporter/process-exporter-0.4.0.ebuild b/app-metrics/process-exporter/process-exporter-0.4.0.ebuild
new file mode 100644
index 00000000000..4ea9b6f62fa
--- /dev/null
+++ b/app-metrics/process-exporter/process-exporter-0.4.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN=github.com/ncabatoff/process-exporter
+
+inherit golang-build golang-vcs-snapshot systemd
+
+DESCRIPTION="Process exporter for prometheus"
+HOMEPAGE="https://github.com/ncabatoff/process-exporter"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="strip"
+
+src_compile() {
+ pushd "src/${EGO_PN}" || die
+ GOPATH="${S}" emake build
+}
+
+src_install() {
+ pushd "src/${EGO_PN}" || die
+ dobin ${PN}
+dodoc *.md
+ insinto /etc/${PN}
+ doins packaging/conf/all.yaml
+ systemd_dounit packaging/${PN}.service
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+}